Package com.pixelmed.dicom

# Interface ByteFrameSource

All Known Implementing Classes:
  `OtherByteAttributeCompressedSeparateFramesOnDisk`, `OtherByteAttributeMultipleCompressedFrames`

public interface ByteFrameSource

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getByteValuesForSelectedFrame(int frameNumber)`
Get the byte array for one selected frame.

## Method Details

### getByteValuesForSelectedFrame

byte[] getByteValuesForSelectedFrame(int frameNumber) throws DicomException

Get the byte array for one selected frame.

Parameters:
  `frameNumber` - from 0
Returns:
  the values as an array of bytes (uncompressed or compressed
Throws:
  `DicomException` - thrown if values cannot be read